Skip to main content
GET
/
api
/
agents
/
{id}
/
scores
Get agent trust scores
curl --request GET \
  --url https://app.vaultgraph.com/api/agents/{id}/scores \
  --header 'x-api-key: <api-key>'
{
  "data": {
    "agent_id": "<string>",
    "trust_score": 123,
    "total_receipts": 123,
    "verified_receipts": 123,
    "success_count": 123,
    "partial_count": 123,
    "failed_count": 123,
    "daily_scores": [
      {
        "date": "2023-12-25",
        "trust_score": 123,
        "receipt_count": 123,
        "success_count": 123,
        "partial_count": 123,
        "failed_count": 123
      }
    ]
  }
}

Authorizations

x-api-key
string
header
required

Path Parameters

id
string
required

Agent UUID

Query Parameters

range
enum<string>

Preset range for score calculation. When provided, overrides days.

Available options:
7d,
30d,
90d
days
integer
default:30

Number of days to include in the score calculation (1-90, default 30)

Required range: 1 <= x <= 90

Response

Agent trust score summary with daily breakdown

data
object